org.gnome.glib

## Class Value

- Object
- - org.freedesktop.bindings.Pointer
  - - org.gnome.glib.Value

-     public class Value
      extends org.freedesktop.bindings.Pointer

  A generic value that can be passed as a parameter to or returned from a method or function on an underlying entity in the GLib library and those built on it. Value is only used in setting or getting Object properties, and in the TreeModel system.

  For use by bindings hackers only.
  As with other classes in `org.gnome.glib`, this is implementation machinery and should not be needed by anyone developing applications with java-gnome.

  Ironically, Values are not actually type safe; if you happen to create one to hold Strings, and then call the getEnum() method on it, your program will explode (this is somewhat to the contrary of the spirit of java-gnome). These are therefore only for use from within strongly typed methods exposing a safe and sane public API. You've been warned.

  Complementing the object oriented system supplied by the GLib library is a set of foundation elements, `GType` and `GValue`, the latter being defined as "a polymorphic type that can hold values of any other type", which isn't much help, really.

  Since instances of Java classes are their own identity, we do not need to directly represent `GType` and `GValue` as separate classes. We implement `GType` as a characteristic that any `Value` or `Object` has.

  Since:
    4.0.0
  Author:
    Andrew Cowie

- - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`